Log::Any::Adapter::Null(3pm)

NAME
Log::Any::Adapter::Null - Discards all log messages

VERSION
version 1.718

SYNOPSIS
    Log::Any::Adapter->set('Null');

DESCRIPTION
This Log::Any adapter discards all log messages and returns false for all detection methods (e.g. is_debug). This is the default adapter when Log::Any is loaded.

SEE ALSO
Log::Any, Log::Any::Adapter

AUTHORS

•   Jonathan Swartz <swartz@pobox.com>

•   David Golden <dagolden@cpan.org>

•   Doug Bell <preaction@cpan.org>

•   Daniel Pittman <daniel@rimspace.net>

•   Stephen Thirlwall <sdt@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2017 by Jonathan Swartz, David Golden, and Doug Bell.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.